Установка SciPy в Linux Debian

Я Linux n00b, и я хочу установить SciPy, чтобы помочь мне с домашним заданием.

Эта страница больше смутила меня, чем помогла.

Я руководствовался файлом INSTALL.txt, который я получил из sourceforge, в котором говорится

PREREQUISITES
=============

SciPy requires the following software installed:

1) Python__ 2.4.x or newer

   Debian packages: python python-dev

   Make sure that the Python package distutils is installed before
   continuing. For example, in Debian GNU/Linux, distutils is included
   in the python-dev package.

   Python must also be compiled with the zlib module enabled.

__ http://www.python.org

2) NumPy__ 1.2.0 or newer

   Debian package: python-numpy

__ http://www.numpy.org/

3) Complete LAPACK__ library (see NOTES 1, 2, 3)

   Debian/Ubuntu packages (g77): atlas3-base atlas3-base-dev

   Various SciPy packages do linear algebra computations using the LAPACK
   routines. SciPy's setup.py scripts can use number of different LAPACK
   library setups, including optimized LAPACK libraries such as ATLAS__ or
   the Accelerate/vecLib framework on OS X. The notes below give
   more information on how to prepare the build environment so that
   SciPy's setup.py scripts can use whatever LAPACK library setup one has.

__ http://www.netlib.org/lapack/
__ http://math-atlas.sourceforge.net/

Я скачал все это через Synaptic Package Manager + IPython.

Поскольку я думаю, что застряну между вами, ребята, отвечу на мои первые вопросы и, наконец, начну работать, я обновляю этот единственный пост несколько раз.

1-й вопрос: Пройдя по этой ссылке, я загрузил файл sourceforge .tar с помощью scipy.

Я извлек его содержимое в / home / antonio / Desktop / Downloads

Я выполнил команды, которые появляются по ссылке:

jajaja:/home/antonio/Desktop/Downloads# cd scipy-?.?.?
jajaja:/home/antonio/Desktop/Downloads/scipy-0.7.0# setup.py build
bash: setup.py: command not found

^ ПОЧЕМУ ??

Почему кажется, что команда не найдена? Следует ли мне извлекать содержимое файла .tar где-нибудь еще?

Ответов (3)

Решение

Недавно я установил scipy в свою систему Debian / Lenny. Все, что я сделал, это установил (используя aptitude) пакеты Debian.

запускается ipython -pylab в терминале, и все работает отлично.

Ссылка говорит вам выполнить

python setup.py build

но вы выполняете

setup.py build

Поскольку вы новичок, вы должны точно следовать инструкциям .

Почему бы вам просто не установить SciPy напрямую? Это не последняя версия, но, может быть, вам хватит 0.6?

# apt-get install python-scipy

как root, или

$ sudo apt-get install python-scipy